Skip to main content
GET
Get Purchase

Authorizations

Authorization
string
header
required

A connection-specific token with access scope

Headers

x-api-key
string
required

The client's API key secret value

Path Parameters

purchase_id
string
required

Response

Successful Response

purchase_id
string
required

The unique identifier for the purchase

Example:

"01J51S0JYV6N7K1030CV1ZKSCF"

date
string
required

The date and time of the purchase

Example:

"2024-01-01T00:00:00Z"

total
string
required

The total amount of the purchase

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
Example:

"9.34"

tax
string
required

The tax amount of the purchase

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
Example:

"0.85"

subtotal
string
required

The subtotal amount of the purchase

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
Example:

"8.49"

item_count
integer
required

The number of items in the purchase

Example:

1

items
ItemResponse · object[]
required

The list of items in the purchase

Example:
purchase_type
enum<string> | null

Where the purchase was placed: 'online' (web/app orders, including pickup and delivery) or 'in_store' (point-of-sale receipt). Null when the source had no signal.

Available options:
online,
in_store
Example:

"online"